itpp::Sine_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Sine-wave source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Sine_Source (double freq, double mean=0.0, double ampl=1.0, double inphase=0.0)
| Constructor. Set frequency, mean, amplitude, and start phase.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Sine-wave source.

Definition at line 44 of file source.h.

## Constructor & Destructor Documentation

## Sine_Source()

itpp::Sine_Source::Sine_Source | ( | double | freq,
|  | double | mean = `0.0`,
|  | double | ampl = `1.0`,
|  | double | inphase = `0.0`
| ) |  |

Constructor. Set frequency, mean, amplitude, and start phase.

Definition at line 39 of file source.cpp.

References itpp::mean(), and itpp::pi.

## Member Function Documentation

## operator()() [1/3]

double itpp::Sine_Source::operator() | ( |  | ) |

inline

Return a single sample.

Definition at line 50 of file source.h.

## operator()() [2/3]

vec itpp::Sine_Source::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 58 of file source.cpp.

## operator()() [3/3]

mat itpp::Sine_Source::operator() | ( | int | h,
|  | int | w
| ) |  |

Get a sample matrix.

Definition at line 68 of file source.cpp.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on Mon Jun 10 2024 11:49:40 for IT++ by Doxygen 1.9.8